package p11_klasy.zadania;

public class PracownikPrzyklad {

	public static void main(String[] args) {
		// przykładowy scenariusz, jak ma działać klasa Pracownik
		// Tworzymy pracownika, który ma podaną stawkę godzinową
		Pracownik p = new Pracownik(100);
		
		// rejestrujemy dwie sesje pracy (jakby dwie dniówki po 6 i 4 godziny)
		p.praca(6);
		p.praca(4);
		
		// pobieramy wypłatę za przepracowane godziny. powinno wyjść (6+4) * 100 = 1000
		int wynik1 = p.wyplata();
		System.out.println(wynik1);
		
		// teraz próba pobrania nast wypłaty powinna dawać wynik 0
		int wynik2 = p.wyplata();
		System.out.println(wynik2);
		
		// Jeśli podczas pojedynczej sesji będzie więcej niż 8 godzin,
		// to te nadmiarowe są liczone jako nadgodziny - z podwójną stawką
		p.praca(11); // liczone jako 8*100 + 3*200 , co daje 1400
		p.praca(5); // to jest jednak liczone normalnie jako 5*100 = 500
		int wynik3 = p.wyplata();
		System.out.println(wynik3); // 1900
		
		int wynik4 = p.wyplata();
		System.out.println(wynik4); // 0
	}

}
